%this function is for calculating the sum of log likelihood function when


 function [ sumllh] = llh(x,hatmu,DD,C)
 % b finds the likelihood of  a set of parameters given the subject's
 % actual allocation
 % assume the allocations a beta-binormal distributed
 % assume subjects have EU EP preference
%%%%%%%%%%%%%%%Output%%%%%%%%%%%%%%%%%%%%%%
% sumllh sum of log likehood 
%%%%%%%%%%%%%%%Input%%%%%%%%%%%%%%%%%%%%%%
% x(1*9) subject's parameters (r p1 p2 p3 s b1 b2 b3)
% C all possible allocations
%x(1*9) is vector contains all the 9 parameters for each subject that
%needed to be estimated
%DD is the (65*7) matrix with each row of it is a payoff table 
rn=size(DD,1);
llh=zeros(1,rn);
logllh=zeros(1,rn);
% read out how many rows in DD- how many payoff table in total
e=DD(:,7);
S=x(1:4);
theta=x(5);


mu=zeros(65,2);
for i=1:rn
   D=[DD(i,1:3)-1;DD(i,4:6)-1];
   e(i)=DD(i,7);
% mu(i,:) = maxmin([sub(1),sub(2),sub(3)],sub(4),D,e(i)); 
   mu(i,:)=MEUCARAINT(S,D,C);
l1=tremblepmf(hatmu(i,1),mu(i,1),theta,100 );
l2=tremblepmf(hatmu(i,2),mu(i,2),theta,100-hatmu(i,1));
llh(i)=l1*l2;
 
logllh(i)=log(llh(i));
if isnan(logllh(i)) || logllh(i)==-Inf
%  if logllh(i)==-Inf
       logllh(i)=0;
end 
%   
end
%because we need to maximize this but fmincon is for minimization so we
%need to minus it
sumllh=-sum((logllh));
if sumllh==-Inf
    sumllh=-10000000;
end

 end         
